from flask import Blueprint, jsonify
from tpmcqr_service import redis_client
from tpmcqr_service.api.util import calcula_distancias_parada

paleta = Blueprint('paleta', __name__)

@paleta.route('/api/<string:parada>')
def parada(parada=None):

    current_file = redis_client.get('current_file')
    status, salida_parada = calcula_distancias_parada(current_file, parada)

    return jsonify(salida_parada), status
